Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZXMLRPCCall Class Reference

## Public Member Functions
| __construct ()
| setMethodName ( $name)
| methodName ()
| addParameter ( $value)
| parameterList ()
| clearParameters ()
& | payload ()
| decodeStream ( $rawResponse)

## Public Attributes
| $MethodName
| The name of the method to call. More...
| $ParameterList
| The parameters to send with the method. More...

## Detailed Description

! eZXMLRPC eZXMLRPCCall hadles a XML-RPC server call.

Definition at line 39 of file ezxmlrpccall.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZXMLRPCCall::__construct | ( |  | ) |

Creates a new eZXMLRPCCall object.

Definition at line 44 of file ezxmlrpccall.php.

References clearParameters().

## Member Function Documentation

## ◆ addParameter()

eZXMLRPCCall::addParameter | ( |  | $value | ) |

Adds a new parameter to the parameter list.

The parameters can be of the types: eZXMLRPCString, eZXMLRPCInt ...

If the value is a normal PHP type it will be decoded as a eZXMLRPCString.

This function returns false if the parameter was not successful added to the parameter list.

Definition at line 75 of file ezxmlrpccall.php.

References $ret.

## ◆ clearParameters()

eZXMLRPCCall::clearParameters | ( |  | ) |

Clears the parameter list.

Definition at line 157 of file ezxmlrpccall.php.

Referenced by __construct().

## ◆ decodeStream()

eZXMLRPCCall::decodeStream | ( |  | $rawResponse | ) |

Decodes the XML-RPC stream.

Definition at line 195 of file ezxmlrpccall.php.

References eZXML\domTree().

## ◆ methodName()

eZXMLRPCCall::methodName | ( |  | ) |

Returns the method name.

Definition at line 60 of file ezxmlrpccall.php.

References $MethodName.

## ◆ parameterList()

eZXMLRPCCall::parameterList | ( |  | ) |

Returns the parameter list.

Definition at line 149 of file ezxmlrpccall.php.

References $ParameterList.

## ◆ payload()

& eZXMLRPCCall::payload | ( |  | ) |

Returns the call payload. This is the requst encoded as an XML-RPC call.

Definition at line 166 of file ezxmlrpccall.php.

## ◆ setMethodName()

eZXMLRPCCall::setMethodName | ( |  | $name | ) |

Sets the method name.

Definition at line 52 of file ezxmlrpccall.php.

References $name.

## Member Data Documentation

## ◆ $MethodName

eZXMLRPCCall::$MethodName

The name of the method to call.

Definition at line 252 of file ezxmlrpccall.php.

Referenced by methodName().

## ◆ $ParameterList

eZXMLRPCCall::$ParameterList

The parameters to send with the method.

Definition at line 255 of file ezxmlrpccall.php.

Referenced by parameterList().

The documentation for this class was generated from the following file:

- ezxmlrpccall.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.